/*
Template: Divi
Theme Name: Divi Child
Theme URI: https://www.elegantthemes.com/gallery/divi/
Description: Divi Child Theme
Author: Elegant Themes
Author URI: https://www.elegantthemes.com
Template: Divi
Version: 1.0.0
*/
.d-flex {
  display: flex;
  justify-content: center;
  align-items: center;
}

.align-end {
  display: flex;
  align-items: end;
}

.header-row {
  display: flex;
  justify-content: center;
  align-items: center;
}

.header-menu ul li {
  margin-top: 0px !important;
}
.header-menu nav > ul > li > a {
  padding-bottom: 0 !important;
  line-height: 2em;
  margin-bottom: 0;
}

.header-menu .et_pb_menu__wrap {
  justify-content: end !important;
  align-items: center;
}

.header-menu .et-menu-nav {
  margin-right: 20px;
}

/* .header-menu ul li a {
    border-bottom: 2px solid transparent;
    position: relative;
    display: inline-block;
    overflow: hidden;
    opacity: 1 !important;
}

.header-menu ul li a::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 50%;
    width: 0;
    height: 2px;
    background-color: #f3b007;
    transition: all 0.3s ease;
}

.header-menu ul li a:hover::before {
    left: 0;
    width: 100%;
}

.header-menu .current-menu-item a::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 2px;
    background-color: #f3b007;
}

.footer-menu .current-menu-item a::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 2px;
    background-color: #f3b007;
}

.footer-menu ul li a,
.footer-blurb .et_pb_blurb_description a {
    position: relative;
    display: inline-block;
    overflow: hidden;
    opacity: 1 !important;
}

.footer-menu ul li a::before,
.footer-blurb .et_pb_blurb_description a::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 50%;
    width: 0;
    height: 2px;
    background-color: #f3b007;
    transition: all 0.3s ease;
} */

.footer-menu ul li a:hover::before,
.footer-blurb .et_pb_blurb_description a:hover::before {
  left: 0;
  width: 100%;
}

.footer-menu #menu-header-menu-1 {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.footer-menu .et_pb_menu__wrap {
  justify-content: start;
}

.promise-blurb .et_pb_blurb_content {
  display: flex;
  align-items: center;
}

.promise-blurb .et_pb_blurb_content .et_pb_main_blurb_image {
  margin-bottom: 0px !important;
}

.promise-blurb .et_pb_blurb_container {
  padding-left: 0px !important;
}

.view-btn {
  position: relative;
  display: inline-block;
  padding: 10px 20px;
  color: #fff;
  border: 2px solid #f3b007;
  border-radius: 30px;
  background: transparent;
  overflow: hidden;
  z-index: 1;
}

/* Filled background */
.view-btn::before {
  content: "";
  position: absolute;
  inset: 0;
  background: #f3b007;
  z-index: -1;
  width: 102%;
  transform-origin: left;
  transform: scaleX(1);
  transition: transform 0.6s cubic-bezier(0.4, 0, 0.2, 1);
}

.view-btn:hover {
  color: #f3b007;
}

.view-btn:hover::before {
  transform: scaleX(0);
}

.my-custom-num {
  -webkit-text-stroke: 1px white;
  opacity: 0.5;
  transition: all 0.3s ease-in-out;
}

.my-custom-col:hover > .my-custom-num {
  opacity: 1;
}

.text-link a {
  position: relative;
  padding-bottom: 8px;
  transition: all 0.3s ease-in-out;
}

.text-link a::before {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 0;
  height: 2px;
  background-color: #f3b007;
  transition: all 0.3s ease;
  content: "";
}

.text-link a:hover::before {
  width: 100%;
}

.text-link a::after {
  content: "→";
  position: absolute;
  right: -25px;
}

/* Slick Slider */

.slick-slider {
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -webkit-touch-callout: none;
  -khtml-user-select: none;
  touch-action: pan-y;
  -webkit-tap-highlight-color: transparent;
}

.slick-list {
  position: relative;
  display: block;
  overflow-x: hidden;
  margin: 0;
  padding: 0 0 0px;
}

.slick-track:before,
.slick-track:after {
  display: table;
  content: "";
}

.slick-slide {
  margin-bottom: 0px !important;
  position: relative;
  float: left;
  height: 100%;
  min-height: 1px;
}

.divilife-3-col-feature-blurb-slider .slick-arrow,
.divilife-3-col-feature-blurb-slider .slick-arrow:hover,
.divilife-3-col-feature-blurb-slider .slick-arrow:focus {
  position: absolute;
  font-size: 0;
  line-height: 0;
  padding: 0;
  color: transparent;
  outline: none;
  background: #f3b007;
  border: none;
  cursor: pointer;
  top: 50%;
  transform: translateY(-50%);
  z-index: 100;
  height: 50px;
  vertical-align: middle;
  border-radius: 50%;
  width: 50px;
}

.divilife-3-col-feature-blurb-slider .slick-arrow:before {
  font-family: ETmodules;
  background: transparent;
  opacity: 1;
  font-size: 46px;
  vertical-align: middle;
  color: #fff;
  text-align: center;
}

.divilife-3-col-feature-blurb-slider .slick-arrow:hover:before {
  opacity: 0.8;
}

.divilife-3-col-feature-blurb-slider .slick-prev:before {
  content: "\34";
}

.divilife-3-col-feature-blurb-slider .slick-next:before {
  content: "\35";
}

.divilife-3-col-feature-blurb-slider .slick-prev {
  top: -20% !important;
  right: 11% !important;
}

.divilife-3-col-feature-blurb-slider .slick-next {
  top: -20% !important;
  right: 4% !important;
}

.entry-content ul.slick-dots {
  display: none !important;
}

.divilife-3-col-feature-blurb-slider .et_pb_image .et_pb_image_wrap {
  transition: all 0.3s ease-in-out;
}

.divilife-3-col-feature-blurb-slider .et_pb_image:hover .et_pb_image_wrap {
  transform: scale(0.99);
}

.et-fb .editor-image-row .divilife-3-col-feature-blurb-slider {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
}

.et-fb .editor-image-row .et_pb_image {
  max-width: 250px;
}

.expertise-blurb .et_pb_main_blurb_image {
  margin-bottom: 10px !important;
  transition: all 0.3s ease-in-out;
}

.expertise-blurb:hover .et_pb_main_blurb_image {
  transform: translateY(-6px);
}
.contact-blurb .et_pb_blurb_content {
  display: flex;
  align-items: center;
}
.contact-blurb .et_pb_main_blurb_image {
  margin-bottom: 0px !important;
  transition: all 0.3s ease-in-out;
}

.contact-blurb:hover .et_pb_main_blurb_image {
  transform: translateY(-6px);
}

/* ----- Contact Form  ----- */
form.wpcf7-form {
  width: 100%;
  float: left;
  background-color: #fff;
}

form.wpcf7-form .custom-row {
  width: 100%;
  float: left;
  display: flex;
  gap: 10px;
}

form.wpcf7-form .custom-row.margin-top-20 {
  margin-top: 20px;
}

form.wpcf7-form .custom-col-12 {
  width: 100%;
  float: left;
  margin-bottom: 15px;
}

form.wpcf7-form .custom-col-6 {
  width: 50%;
  float: left;
  margin-bottom: 15px;
}

form.wpcf7-form .flex-direction-column {
  flex-direction: column;
}

form.wpcf7-form .blue-bg {
  background: #fbe7b5;
  padding: 20px;
  border-radius: 4px;
  margin-bottom: 20px;
}

form.wpcf7-form .blue-bg label {
  color: #fff !important;
  font-weight: 500;
  font-size: 22px;
}

form.wpcf7-form .custom-col-12 h4 {
  font-weight: 600;
  font-size: 26px;
  padding: 0;
  margin-top: 20px;
}

form.wpcf7-form .custom-col-12 .require-text {
  font-size: 22px;
  color: red !important;
}

form.wpcf7-form .blue-bg h6 {
  color: #fff !important;
  font-weight: 500;
  font-size: 20px;
  padding: 0;
}

form.wpcf7-form label {
  font-weight: 500;
  font-size: 14px;
  margin-bottom: 5px;
  display: block;
}

form.wpcf7-form input[type="radio"] {
  width: 25px;
  height: 25px;
  margin-right: 10px;
}

form.wpcf7-form .checkbox-col .wpcf7-list-item {
  margin-left: 0px;
  margin-right: 20px;
}

form.wpcf7-form .checkbox-col .wpcf7-list-item label {
  display: flex;
  align-items: center;
  margin-top: 10px;
}

form.wpcf7-form input,
form.wpcf7-form select {
  height: 50px;
  width: 100%;
}

form.wpcf7-form textarea {
  height: 100px;
  width: 100%;
  padding-top: 10px;
}

form.wpcf7-form input,
form.wpcf7-form textarea,
form.wpcf7-form select {
  background: #fff;
  border-radius: 20px;
  border: 1px solid #e0e0e0;
  padding-left: 20px;
  transition: all ease 0.6s;
  -moz-transition: all ease 0.6s;
  -webkit-transition: all ease 0.6s;
  -o-transition: all ease 0.6s;
}

form.wpcf7-form input::-webkit-input-placeholder,
form.wpcf7-form textarea::-webkit-input-placeholder {
  color: #3f3f3f;
}

form.wpcf7-form input::-moz-placeholder,
form.wpcf7-form textarea::-moz-placeholder {
  color: #3f3f3f;
  opacity: 1;
}

form.wpcf7-form input:-ms-input-placeholder,
form.wpcf7-form textarea:-ms-input-placeholder {
  color: #3f3f3f;
}

form.wpcf7-form input::placeholder,
form.wpcf7-form textarea::placeholder {
  color: #3f3f3f;
  opacity: 1;
  transition: all 0.3s ease-in-out;
}

form.wpcf7-form input:focus,
form.wpcf7-form textarea:focus {
  border: 1px solid #1f1f1f;
}

form.wpcf7-form input:focus::placeholder {
  color: #1f1f1f;
}

form.wpcf7-form .field-required {
  color: #ff0000;
}

form.wpcf7-form .wpcf7-submit {
  width: auto;
  color: #FFF;
  border: 1px solid #C9A24D;
  border-radius: 30px;
  letter-spacing: 0px;
  font-size: 15px;
  background-color: #C9A24D;
  padding: 10px 20px;
  transition: all 300ms ease-in-out 0ms;
  cursor: pointer;
}

form.wpcf7-form .wpcf7-submit:hover {
  color: #c2973b;
  background-color: transparent;
  border: 1px solid #c2973b;
  transform: translateY(-2px);
}

.wpcf7 form.sent .wpcf7-response-output {
  display: inline-block;
}

.wpcf7 form.invalid .wpcf7-response-output,
.wpcf7 form.unaccepted .wpcf7-response-output,
.wpcf7 form.payment-required .wpcf7-response-output,
.wpcf7 form.failed .wpcf7-response-output,
.wpcf7 form.aborted .wpcf7-response-output {
  float: left;
}
.wpcf7-form-control-wrap {
    padding-top: 5px;
    display: block;
}

.et_pb_menu__cart-button {
  position: relative;
}
.et_pb_menu__cart-button .et_pb_menu__cart-count {
  background: #c9a24d;
  padding: 7px 12px;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: -20px;
  right: -15px;
}

.woocommerce-cart .et_pb_wc_cart_products_0_tb_body a.remove:hover {
    background-color: #c9a24d !important;
    line-height: 1 !important;
}

@media (max-width: 980px) {
  .footer-menu .et_pb_menu__menu {
    display: block !important;
  }

  .footer-menu .et_mobile_nav_menu {
    display: none !important;
  }

  .header-menu ul li a {
    padding: 0 0 10px 0 !important;
  }

  header .et_mobile_menu {
    min-width: 100vw;
    margin-left: -50vw;
    margin-top: 4.5vw;
  }

  .header-row .et_pb_column {
    margin-bottom: 0px !important;
  }

  .divilife-3-col-feature-blurb-slider .slick-prev {
    right: 14% !important;
  }

  .align-end {
    flex-direction: column;
    align-items: start;
  }

  .d-flex {
    flex-direction: column;
  }
}

@media (max-width: 767px) {
  .divilife-3-col-feature-blurb-slider .slick-arrow {
    display: none !important;
  }

  .bark-products-list ul,
  .colored-products-list ul,
  .compost-products-list ul {
    columns: 2;
  }

  form.wpcf7-form .custom-row {
    flex-direction: column;
  }

  form.wpcf7-form .custom-col-6 {
    width: 100%;
  }
}
